import request from '@/utils/request'

// 查询试剂列表
export function sj_list(query) {
  return request({
    url: '/system/business/sj/list',
    method: 'get',
    params: query
  })
}

// 试验物资列表
export function studyList(query) {
  return request({
    url: '/system/business/sj/studyList',
    method: 'get',
    params: query
  })
}

// 查询试剂库存详情
export function sj_info(query) {
  return request({
    url: '/system/business/sj/info',
    method: 'get',
    params: query
  })
}

// 试剂编辑
export function sj_bj(data) {
  return request({
    url: '/system/business/sj/bj',
    method: 'post',
    data: data
  })
}

// 修改库存
export function sj_xgkc(data) {
  return request({
    url: '/system/business/sj/xgkc',
    method: 'post',
    data: data
  })
}

// 处置
export function sj_cz(data) {
  return request({
    url: '/system/business/sj/cz',
    method: 'post',
    data: data
  })
}

// 批量处置
export function sj_plcz(data) {
  return request({
    url: '/system/business/sj/plcz',
    method: 'post',
    data: data
  })
}

// 解锁
export function sj_js(data) {
  return request({
    url: '/system/business/sj/js',
    method: 'post',
    data: data
  })
}

// 锁定
export function sj_sd(data) {
  return request({
    url: '/system/business/sj/sd',
    method: 'post',
    data: data
  })
}

// 批量锁定
export function sj_plsd(data) {
  return request({
    url: '/system/business/sj/plsd',
    method: 'post',
    data: data
  })
}

// 归档
export function sj_gd(data) {
  return request({
    url: '/system/business/sj/gd',
    method: 'post',
    data: data
  })
}

// 批量归档
export function sj_plgd(data) {
  return request({
    url: '/system/business/sj/plgd',
    method: 'post',
    data: data
  })
}

// 借阅
export function sj_jy(data) {
  return request({
    url: '/system/business/sj/jy',
    method: 'post',
    data: data
  })
}


// 查询试剂库存-稽查轨迹列表
export function jcgjList(query) {
  return request({
    url: '/system/business/sj/jcgjList',
    method: 'get',
    params: query
  })
}

// 查询试剂库存-台账
export function tzList(query) {
  return request({
    url: '/system/business/sj/tzList',
    method: 'get',
    params: query
  })
}